GDB (xrefs)

Classes | Functions
cli-interp.h File Reference
`#include "interps.h"`

Go to the source code of this file.

## Classes
class | cli_interp_base

## Functions
ui_file * | make_logging_output (ui_file *curr_output, ui_file_up logfile, bool logging_redirect)
void | cli_set_logging (struct interp *interp, ui_file_up logfile, bool logging_redirect)
int | cli_interpreter_supports_command_editing (struct interp *interp)
void | cli_interpreter_pre_command_loop (struct interp *self)
int | should_print_stop_to_console (struct interp *interp, struct thread_info *tp)

## Function Documentation

## ◆ cli_interpreter_pre_command_loop()

void cli_interpreter_pre_command_loop | ( | struct interp * | self | ) |

## ◆ cli_interpreter_supports_command_editing()

int cli_interpreter_supports_command_editing | ( | struct interp * | interp | ) |

## ◆ cli_set_logging()

void cli_set_logging | ( | struct interp * | interp,
|  | ui_file_up | logfile,
|  | bool | logging_redirect
| ) |  |

## ◆ make_logging_output()

ui_file* make_logging_output | ( | ui_file * | curr_output,
|  | ui_file_up | logfile,
|  | bool | logging_redirect
| ) |  |

Definition at line 94 of file cli-logging.c.

References logging_redirect.

Referenced by cli_interp_base::set_logging(), and mi_interp::set_logging().

## ◆ should_print_stop_to_console()

int should_print_stop_to_console | ( | struct interp * | interp,
|  | struct thread_info * | tp
| ) |  |

Definition at line 105 of file cli-interp.c.

References BPSTAT_WHAT_STOP_NOISY, thread_fsm::command_interp, thread_info::control, bpstat_what::main_action, thread_control_state::stop_bpstat, thread_info::thread_fsm, and thread_fsm_finished_p().

Referenced by cli_on_normal_stop(), mi_on_normal_stop_1(), and tui_on_normal_stop().